Subject: Missing function visiblity declarations
Description

I found a missing visiblity declaration in \TYPO3\FLOW3\MVC\Web\Routing\Route, and thought I'd search to see if there were more..
With this "grep -rin $'\t'function *" in the FLOW3 package folder I found 6 occurrences..

TYPO3.FLOW3/Classes/Cache/Frontend/FrontendInterface.php:109:    function flush();
TYPO3.FLOW3/Classes/MVC/Web/Routing/Route.php:472:    function extractInternalArguments(array &$arguments) {
TYPO3.FLOW3/Classes/Persistence/Doctrine/Mapping/Driver/Flow3AnnotationDriver.php:673:            function ($className) {
TYPO3.FLOW3/Classes/Persistence/Doctrine/Service.php:164:            function ($message) use ($that) {
TYPO3.FLOW3/Classes/Utility/Environment.php:505:                    function(&$value, $key) {
TYPO3.FLOW3/Tests/Functional/AOP/Fixtures/Name.php:27:    function __construct($name) {

The Route function "extractInternalArguments" should be protected, as discussed with Bastian, since it's would require to construct a
new route and it's not part of the api (@api) so I could likely change. It's stems from this commit: 
https://review.typo3.org/#change,5779

I haven't looked for further details about the other occurrences..

Associated revisions
Revision 95e0ca49 - 2012-02-28 23:08 - Karsten Dambekalns

[BUGFIX] Fixes missing function visibility declarations

Some methods were missing their visibility declarations, this
change adds them.

Change-Id: I88ee085111b38366fc0af5cac7d259c14c42a1fb
Fixes: #33460
Releases: 1.1

History
#1 - 2012-02-28 22:19 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1

FrontendInterface should be public, Route protected (as noted above), the Name fixture public. The others are anonymous function / closures, thus no
visibility needed.

#2 - 2012-02-28 23:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9293

#3 - 2012-03-01 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:95e0ca4941f447f898f84298e529a78c44976dc3.
